JspTagException (JavaServer Pages API Documentation)
Keywords: javax.servlet.jsp.JspTagException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet.jsp
Class JspTagException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.servlet.jsp.JspException
                  javax.servlet.jsp.JspTagException

All Implemented Interfaces:
  java.io.Serializable

public class JspTagException
extends JspException

Exception to be used by a Tag Handler to indicate some unrecoverable error. This error is to be caught by the top level of the JSP page and will result in an error page.

See Also:
  Serialized Form

Constructor Summary
`JspTagException()` Constructs a new JspTagException with no message.
`JspTagException(java.lang.String msg)` Constructs a new JspTagException with the specified message.
`JspTagException(java.lang.String message, java.lang.Throwable rootCause)` Constructs a new JspTagException when the JSP Tag needs to throw an exception and include a message about the "root cause" exception that interfered with its normal operation, including a description message.
`JspTagException(java.lang.Throwable rootCause)` Constructs a new JSP Tag exception when the JSP Tag needs to throw an exception and include a message about the "root cause" exception that interfered with its normal operation.

Methods inherited from class javax.servlet.jsp.JspException
`getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JspTagException

    public JspTagException(java.lang.String msg)

  Constructs a new JspTagException with the specified message. The message can be written to the server log and/or displayed for the user.

Parameters:
  `msg` - a `String` specifying the text of the exception message

### JspTagException

    public JspTagException()

  Constructs a new JspTagException with no message.

### JspTagException

    public JspTagException(java.lang.String message,
                           java.lang.Throwable rootCause)

  Constructs a new JspTagException when the JSP Tag needs to throw an exception and include a message about the "root cause" exception that interfered with its normal operation, including a description message.

Parameters:
  `message` - a `String` containing the text of the exception message
  `rootCause` - the `Throwable` exception that interfered with the JSP Tag's normal operation, making this JSP Tag exception necessary
Since:
  2.0

### JspTagException

    public JspTagException(java.lang.Throwable rootCause)

  Constructs a new JSP Tag exception when the JSP Tag needs to throw an exception and include a message about the "root cause" exception that interfered with its normal operation. The exception's message is based on the localized message of the underlying exception.

  This method calls the `getLocalizedMessage` method on the `Throwable` exception to get a localized exception message. When subclassing `JspTagException`, this method can be overridden to create an exception message designed for a specific locale.

Parameters:
  `rootCause` - the `Throwable` exception that interfered with the JSP Tag's normal operation, making the JSP Tag exception necessary
Since:
  2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2012 The Apache Software Foundation. All Rights Reserved.